FreeMat

- Main Page
- Related Pages

vtkGESignaReader

Section: Visualization Toolkit IO Classes

# Usage

vtkGESignaReader is a source object that reads some GE Signa ximg files It does support reading in pixel spacing, slice spacing and it computes an origin for the image in millimeters. It always produces greyscale unsigned short data and it supports reading in rectangular, packed, compressed, and packed&compressed. It does not read in slice orientation, or position right now. To use it you just need to specify a filename or a file prefix and pattern.

To create an instance of class vtkGESignaReader, simply invoke its constructor as follows

      obj = vtkGESignaReader

# Methods

The class vtkGESignaReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGESignaReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGESignaReader = obj.NewInstance ()`
- `vtkGESignaReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string fname)` - Is the given file a GESigna file?
- `string = obj.GetFileExtensions ()` - A descriptive name for this format
- `string = obj.GetDescriptiveName ()`